Control: tag -1 pending
On 05/11/2018 02:49 PM, Matthias Klose wrote:
Control: tag -1 - moreinfo
On 11.05.2018 08:46, Julien Cristau wrote:
Control: tag -1 moreinfo
On 04/08/2018 01:14 PM, Matthias Klose wrote:
Package: src:mercurial
Version: 4.5.3-1
Tags: patch
please use the same arguments for autopkg tests as for testing during the build,
and fix passing the blacklist to the autopkg tests.
patch at
https://patches.ubuntu.com/m/mercurial/mercurial_4.5.3-1ubuntu2.patch
diff -pruN 4.5.3-1/debian/tests/testsuite 4.5.3-1ubuntu2/debian/tests/testsuite
--- 4.5.3-1/debian/tests/testsuite 2018-04-05 11:50:59.000000000 +0000
+++ 4.5.3-1ubuntu2/debian/tests/testsuite 2018-04-07 18:33:54.000000000 +0000
@@ -1,5 +1,5 @@
#!/bin/sh
-set -e
+set -ex
-exec make tests TESTFLAGS="--with-hg=/usr/bin/hg
--blacklist=debian/mercurial.test_blacklist"
+exec make tests TESTFLAGS="--verbose --timeout 1440 --with-hg=/usr/bin/hg
--blacklist=$(pwd)/debian/mercurial.test_blacklist"
What's the rationale for set -x?
what the rationale for hiding it? You don't hide it for the package build
either. And it made debugging the original issue harder.
OK, thanks. Curious that the main test suite passed in
https://ci.debian.net/data/autopkgtest/unstable/amd64/m/mercurial/268631/log.gz
if the blacklist doesn't work, but I guess that may have been lucky.
Cheers,
Julien